## lilo 23.2

=== debian/changelog ===
lilo (1:23.2-3) unstable; urgency=low

  * Fix tense use in debconf templates (thanks to Ivan Masar).
  * Fix pending l10n issues: debconf translations:
    - Dutch (Jeroen Schot), nl.po.       (Closes: #654397)
    - Spanish (Omar Campagne), es.po.    (Closes: #655848)
    - Indonesian (Mahyuddin Susanto), new id.po. (Closes: #660307)
    - Polish (Michał Kułach), new pl.po. (Closes: #660534)
    - Basque (Iñaki L. Murgoitio), eu.po. (Closes: #660640)
    - Vietnamese (Hung Tran), vi.po.     (Closes: #660643)
    - Italian (Luca Monducci), it.po.    (Closes: #660915)
    - Slovak (Ivan Masar), new sk.po.    (Closes: #661143)
    - Czech (Miroslav Kure), cs.po.      (Closes: #661437)
  * Fix of some errors in lilo manpage.  (Closes: #659809)
  * Fix of some typos in user.tex file (string EBDA).
  * Add infos about old documentation in README.Debian.
  * Bump to Standards Version 3.9.3 (no changes).
  * Bump to Copyright Format 1.0 (DEP-5).

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 04 Mar 2012 00:28:31 +0100

lilo (1:23.2-2) unstable; urgency=low

  * debian/control:
    - Move to debhelper (>= 8).
    - Update Vcs Git and Browser URLs.
    - Remove old Uploader (not active anymore).
  * Move to compatibility level 8.
  * Update lilo.conf manpage using better explanations. 
      (Closes: #283281, #368133, #629321)
  * Update of Swedish translation (sv.po). (Closes: #628931)
  * Update of mkrescue script.  (Closes: #627120)

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 18 Jun 2011 23:38:38 +0200

lilo (1:23.2-1) unstable; urgency=medium

  [ Joachim Wiedorn ]
  * New upstream release:
    - Fix for larger kernel setup code. (Closes: #625266)
    - Update of manpages (mkrescue.8, lilo.conf.5).
  * Update of some patches; remove of some patches (now in upstream).
  * debconf scripts:
    - Update of French translation (fr.po). (Closes: #621845)
    - Update of Portuguese translation (pt.po). (Closes: #622642)
    - Update of Russian translation (ru.po). (Closes: #623794)
    - Update of Japanese translation (ja.po). (Closes: #624629)
  * debian/control:
    - Bump to Standards-Version 3.9.2 (without changes).
    - Remove mbr dependency for package lilo (no more needed).
    - Replace perl-modules dependency with variable ${perl:Depends}.

  [ Niels Thykier ]
  * Added DMUA flag.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 07 May 2011 17:18:48 +0200

lilo (1:23.1-2) unstable; urgency=medium

  [ Joachim Wiedorn ]
  * debian/control:
    - Remove dependency to lilo in package lilo-doc. (Closes: #613753)
  * Fix: save errno for second command (device.c).
  * Fix: save file permissions for converted lilo.conf (Closes: #615103)
      and fix some typos in script lilo-uuid-diskid.
  * Fix: missleading error message in geometry.c. (Closes: #445264)
  * Reformatting of mkrescue manpage (thanks to M.E. Schauer).
      (Closes: #617282)
  * debconf scripts:
    - Fix typos in some debconf translation files. (Closes: #504733)
    - Use better style in debconf translations. (Closes: #312451, #504733)
    - Remove debconf code for managing old boot/boot.b and similar files.
    - Remove no more needed debian/lilo.lintian-overrides file.
    - Remove script liloconfig and all appropriate debconf code.
    - Update of German translation (de.po).
    - Update of French translation (fr.po). (Closes: #615936)
    - Update of Russian translation (ru.po). (Closes: #616691)
    - Update of Galician translation (gl.po).
    - Update of Danish translation (da.po). (Closes: #618004)
    - Update of Basque translation (eu.po). (Closes: #618253)
    - Update of Czech translation (cs.po).  (Closes: #618711)
    - Update of Spanish translation (es.po). (Closes: #618813)
    - Update of Finnish translation (fi.po). (Closes: #618886)
    - Update of Italian translation (it.po). (Closes: #618801)
    - Update of Brazilian Portuguese translation. (Closes: #618738)
    - Update of Swedish translation (sv.po). (Closes: #618620)
  * Add new script liloconfig, using template with comments,
      works with UUID, LABEL and disk-id for root and boot options.
  * Add new manpage for liloconfig, update of other manpages.
  * Fix typos and phrases in manpage of lilo.conf. (Closes: #258472)

  [ Niels Thykier ]
  * Added Depends on perl-modules, since liloconfig needs it.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 20 Mar 2011 14:37:18 +0100

lilo (1:23.1-1) unstable; urgency=low

  * New upstream release. (Closes: #339778)
  * Upstream bugfixes:
    - Option 'append' works with acpi=off. (Closes: #428390)
    - Working on degraded RAID-1 device. (Closes: #278373, #522283)
    - Working with MD v1.0 RAID-1 boot devices. (Closes: #598035)
    - Working with spaces in labels. (Closes: #287257)
    - Using new hook scripts for kernel and initrd only one time
      when needed. (Closes: #599934)
    - Include diffs for NMUs. (Closes: #504267, #409663)
    - Fix error with LVM partition. (Closes: #244741)
    - Compatible with devmapper version. (Closes: #325235)
  * Solved upstream bugs of Ubuntu:
    - Raid related error while upgrading (LP: #242879)
    - Warn if initrd is too large (LP: #260059)
    - Allow using LVM as root partition (LP: #274972)
    - Stack overlaping on second stage (LP: #438177)
    - Raid setup fatal errors (LP: #470502)
    - Use hook scripts while updating kernel/initrd 
      (LP: #43869, #345482, #628858, #636211, #691975)

  * Remove all old patches.
  * Remove very old lilo.conf examples.
  * Remove obsolete file debian/NEWS.
  * Bump to Standards Version 3.9.1.
  * Move to debhelper compatibility level 7.
  * Move to source format 3.0 (quilt).
  * Update and new formatting of debian/copyright.
  * debian/control:
    - Move source dependency debhelper to version >= 7.0.15.
    - Update some versions of source dependencies and remove quilt.
    - Add VCS urls in Alioth.
    - Add in package lilo-doc dependency to lilo.
    - Optimize package descriptions.



=== debian/control ===
Source: lilo
Section: admin
Priority: optional
Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
Build-Depends: debhelper (>= 8), transfig, 
 texlive-latex-base, bin86 (>= 0.16), sharutils, 
 po-debconf (>= 0.5.0), libdevmapper-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://anonscm.debian.org/lilo/debian.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git
Homepage: http://lilo.alioth.debian.org/

Package: lilo
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: lilo-doc
Description: LInux LOader - the classic OS boot loader
 You can use LILO to manage your Master Boot Record (with a simple text
 screen, text menu or colorful splash graphics) or call LILO from other 
 Boot-Loaders to jump-start the Linux kernel.
 .
 This package contains lilo (the installer) and boot-record-images to
 install Linux, DOS and generic Boot Sectors for other OSes.
 .

Package: lilo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LInux LOader - Documentation for the classic OS boot loader
 You can use LILO to manage your Master Boot Record (with a simple text 
 screen, text menu or colorful splash graphics) or call LILO from other 
 Boot-Loaders to jump-start the Linux kernel.
 .
 This package contains very old PDF and README documentations of lilo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

## lilo 24.0

=== Makefile ===
# -*- makefile -*-
#
# Copyright 2009-2013 Joachim Wiedorn
# All rights reserved.
# 
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#

#
#  make help
#
help:
	@echo ""
	@echo "Targets:"
	@echo "  make all         # binaries (without dosexe, diag.)"
	@echo "  make dosexe      # DOS lilo.com utility"
	@echo "  make diagnostic  # standalone diagnostics"
	@echo "  make alles       # all above + static binary"
	@echo "  make docs        # doc/[user,tech].html docs"
	@echo "  make floppy      # 2 standalone bootable diagnostic floppies"
	@echo ""
	@echo "  make install     # install binaries++ into root directory"
	@echo "  make install DESTDIR=<dir>  # install binaries++ into directory"
	@echo ""
	@echo "  make uninstall     # remove binaries++ from root directory"
	@echo "  make uninstall DESTDIR=<dir>  # rmove binaries++ from directory"
	@echo ""
	@echo "Maintenance:"
	@echo "  make test        # test for all needed utilities (as86, ld86, etc.)"
	@echo "  make tidy        # remove listings & other unnecessary files"
	@echo "  make clean       # remove objects & ready for a fresh 'make all'"
	@echo "  make distclean   # remove editor temps, & all of the above"
	@echo ""

#
# everything needed to run, just short of installation
#
all: test
	$(MAKE) -C src all
	$(MAKE) -C images all

#
# everything above plus the statically linked version
#
alles: test
	$(MAKE) -C src alles
	$(MAKE) -C images all

#
# documentation files
#
docs:

#
# if you have the 'bcc' compiler, then you can make the diagnostics, too
# bcc = Bruce Evans’ C 16bit compiler (also for BIOS- and DOS code)
#
it:	docs alles diagnostic dosexe

#
# make the bootable diagnostic floppies
#
floppy: test
	@echo
	@echo Make sure you have 2 blank, formatted, 1.44Mb floppies
	@echo before you proceed from this point.
	@echo "Press <Enter> to continue, <^C> to abort ..."
	@read
	@$(MAKE) -C src floppy1
	@echo Done.
	@echo
	@echo Remove the floppy from the drive.  Label it "\"1.6\""
	@echo "Press <Enter> to continue, <^C> to abort ..."
	@read
	@$(MAKE) -C src floppy2
	@echo Done.
	@echo
	@echo Remove the floppy from the drive.  Label it "\"2.4\""
	@echo

diagnostic: test
	$(MAKE) -C src diagnostic

dosexe: test
	$(MAKE) -C dos lilo

#
# test for compilers & utilities
#
test: test.img
test.img:
	./checkit
	echo Tested >test.img	

#
# shorthand install, if one knows that one has the 'bcc' compiler
#
ins:
	$(MAKE) -C src ins

#
#  normal install, but doesn't make the diagnostic binaries
#
install:  all
	$(MAKE) -C src install
	$(MAKE) -C images install
	$(MAKE) -C hooks install
	$(MAKE) -C sample install
	$(MAKE) -C scripts install
	$(MAKE) -C man install
	$(MAKE) -C dos install

tidy:
	$(MAKE) -C src tidy
	$(MAKE) -C diagnose tidy
	$(MAKE) -C dos tidy

clean: tidy
	rm -f test.img
	$(MAKE) -C src clean
	$(MAKE) -C images clean
	$(MAKE) -C diagnose clean
	$(MAKE) -C dos clean

spotless: distclean
distclean: clean
	$(MAKE) -C src distclean
	$(MAKE) -C diagnose distclean
	$(MAKE) -C dos distclean

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C images uninstall
	$(MAKE) -C hooks uninstall
	$(MAKE) -C sample uninstall
	$(MAKE) -C scripts uninstall
	$(MAKE) -C man uninstall

=== scripts/Makefile ===
# -*- makefile -*-

# adding variables
include ../make.vars

all:

install:
	mkdir -p $$DESTDIR$(USRSBIN_DIR)

	install -m 0755  liloconfig  $$DESTDIR$(USRSBIN_DIR)
	install -m 0755  lilo-uuid-diskid  $$DESTDIR$(USRSBIN_DIR)

clean:

distclean:

uninstall:
	rm -f $$DESTDIR$(USRSBIN_DIR)/liloconfig
	rm -f $$DESTDIR$(USRSBIN_DIR)/lilo-uuid-diskid

=== src/Makefile ===
# -*- makefile -*-
#
# Copyright 2009-2013 Joachim Wiedorn
# All rights reserved.
# 
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#

# adding variables
include ../make.vars

#
#  Do not modify anything below this point
#

SHELL=/bin/sh
CC=gcc
CPP=$(CC) -E -P -ffreestanding
AS86=as86 -0 -a
LD86=ld86 -0
NASM=nasm
G=`cat foo1 foo2 | grep version | cut -d " " -f 3`

CFLAGS=$(OPT) -Wall $(PCONFIG)
LDFLAGS=#-Xlinker -qmagic
LIBS=$(DEVMAPPER)

OBJS=lilo.o raid.o map.o geometry.o boot.o device.o common.o bsect.o cfg.o \
  partition.o identify.o probe.o shs2.o edit.o temp.o

EDIT=edit.c common.o

LIS=chain.lis disk.lis dparam.lis first.lis second.lis \
  bootsect.lis third.lis mbr.lis bitmap.lis pseudo.lis mbr2.lis \
  pseudo1.lis loader.lis pseudo3.lis
BFILES=first.b second.b third.b bitmap.b chain.b mbr.b mbr2.b \
  bootsect.b pseudo1.b pseudo2.b pseudo3.b
CFILES=boot.c bsect.c cfg.c common.c device.c edit.c geometry.c \
  identify.c lilo.c map.c partition.c probe.c raid.c shs2.c temp.c
HFILES=bdata.h bitmap.h boot.h bsect.h cfg.h common.h config.h device.h \
  edit.h geometry.h identify.h lilo.h loader.h map.h md-int.h partition.h \
  probe.h raid.h shs2.h temp.h version.h vesainfo.h

.SUFFIXES:	.img .b .com .S .s


#
# everything needed to run, just short of installation
#
all:	lilo bootsect.b

#
# everything above plus the statically linked version
#
alles: all diag1.img lilo.static

#
# make the bootable diagnostic floppies
#
floppy1: disk.com bootsect.b
	@echo
	@echo Creating Diagnostic Floppy 1.6
	@echo
	@echo Insert a blank, formatted, floppy into drive 0
	@echo "Press <Enter> to continue, <^C> to abort ..."
	@read
	cat bootsect.b disk.com | dd of=/dev/fd0 bs=512

floppy2: disk.b
	@echo
	@echo Creating Diagnostic Floppy 2.4
	@$(MAKE) -C ../diagnose check
	@$(MAKE) -C ../diagnose floppy

diagnostic: ../test.img diag1.img diag2.img diag3.img

manpath:
	echo $(MAN_DIR)

.c.o:
		$(CC) -c $(CFLAGS) $*.c

.s.o:
		$(AS86) -w -l $*.lis -o $*.o $*.s

.o.img:
		$(LD86) -s -o $*.img $*.o

.img.b:
		dd if=$*.img of=$*.b bs=32 skip=1

edit:		$(EDIT)
		$(CC) $(CFLAGS) -DSTANDALONE -o edit $(EDIT) $(LDFLAGS)

loader.i:	mkloader first.b second.b third.b bitmap.b mbr.b chain.b mbr2.b
		./mkloader >loader.i

disk.com:	disk.b
		cp disk.b disk.com

disk.s:		disk.S read.S bdata.h biosdata.S lilo.h Makefile
		$(CPP) -traditional $(PCONFIG) -o disk.s  disk.S

mbr.s:		mbr.S lilo.h Makefile
		$(CPP) -traditional $(PCONFIG) -DMBR=0xafbbe760 \
			-o mbr.s  mbr.S

mbr.b:		mbr.img
		dd if=$*.img of=$*.b bs=32 skip=49

mbr2.s:		mbr.S lilo.h Makefile
		$(CPP) -traditional $(PCONFIG) -DMBX=0x93c00848 \
			-o mbr2.s  mbr.S

mbr2.b: mbr2.img
	dd if=$*.img of=$*.b bs=32 skip=49

bootsect.s: bootsect.S disk.b
	$(CPP) -traditional $(PCONFIG) \
		-DSIZEDISKB=`wc -c <disk.b | sed "s/ //g"` \
		-o bootsect.s  bootsect.S

pseudo1.s: bootsect.S pseudo.S disk.com
	cat bootsect.S pseudo.S >$(TMP).S
	$(CPP) -traditional $(PCONFIG) \
		-DSIZEKRNL=`wc -c <disk.com | sed "s/ //g"` \
		-DSIZEDISKB=512 -o pseudo1.s $(TMP).S
	rm -f $(TMP).S

pseudo2.s: bootsect.S pseudo.S
	$(MAKE) -C ../diagnose all
	cat bootsect.S pseudo.S >$(TMP).S
	$(CPP) -traditional $(PCONFIG) \
		-DSIZEKRNL=`wc -c <../diagnose/test4.com | sed "s/ //g"` \
		-DSIZEDISKB=512 -o pseudo2.s $(TMP).S
	rm -f $(TMP).S

pseudo3.s: bootsect.S pseudo.S
	$(MAKE) -C ../diagnose all
	cat bootsect.S pseudo.S >$(TMP).S
	$(CPP) -traditional $(PCONFIG) \
		-DSIZEKRNL=`wc -c <../diagnose/test5.com | sed "s/ //g"` \
		-DSIZEDISKB=512 -o pseudo3.s $(TMP).S
	rm -f $(TMP).S

pseudo1.b:	pseudo1.s
pseudo2.b:	pseudo2.s
pseudo3.b:	pseudo3.s


diag1.img:	disk.com pseudo1.b
	cat pseudo1.b disk.com >diag1.img

diag2.img: pseudo2.b
	$(MAKE) -C ../diagnose all
	cat pseudo2.b ../diagnose/test4.com >diag2.img

diag3.img: pseudo3.b
	$(MAKE) -C ../diagnose all
	cat pseudo3.b ../diagnose/test5.com >diag3.img

flags.i:	../test.img Makefile version $(CFILES) $(HFILES)
	echo "#define CFLAGS \"" $(CFLAGS) "\"" >flags.i
	tail -$$((`wc -l <Makefile`-`sed /\#\#\#/q <Makefile | wc -l`)) \
	  <Makefile | grep -v "0x" >$(TMP)
	for i in $(CFILES) $(HFILES) ; do cat $$i >>$(TMP) ; done
	echo "#define CSOURCE " `./version $(TMP)` >>flags.i
	rm -f $(TMP)


dparam.com:	dparam.img
		dd if=dparam.img of=dparam.com bs=288 skip=1

dparam.s:	dparam.S
		cp -p dparam.S dparam.s

lilo:		$(OBJS)
		$(CC) -o lilo $(LDFLAGS) $(OBJS) $(LIBS)

lilo.static:	$(OBJS)
		$(CC) -o lilo.static -static $(LDFLAGS) $(OBJS) $(LIBS)

common.s:	common.h
		$(CPP) -C -traditional -DLILO_ASM -o common.s common.h

bitmap.o: bitmap.s common.s
third.o: third.s common.s
second.o: second.s common.s
first.o: first.s common.s
chain.o: chain.s common.s

first.s:	first.S lilo.h version.h Makefile
		$(CPP) $(PCONFIG) -DFIRST=0x62177489 -o first.s first.S

second.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
		$(CPP) $(PCONFIG) -DTEXT=0x9dd476ec second.S -o second.s

third.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
		$(CPP) $(PCONFIG) -DMENU=0x2012a4a7 second.S -o third.s

bitmap.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
		$(CPP) $(PCONFIG) -DBITMAP=0x2ece2fbe second.S -o bitmap.s

chain.s:	chain.S lilo.h version.h first.b Makefile
		$(CPP) $(PCONFIG) -DCHAIN=0x536a7646 chain.S -o chain.s

xxx.s:		chain.S lilo.h Makefile
		$(CPP) chain.S -DXXX -o xxx.s

$(OBJS):	Makefile

#
# shorthand install, if one knows that one has the 'bcc' compiler
#
ins:	diag install

#
#  normal install, but doesn't make the diagnostic binaries
#
install:
	mkdir -p $$DESTDIR$(SBIN_DIR) $$DESTDIR$(CFG_DIR) 
	mkdir -p $$DESTDIR$(BOOT_DIR) $$DESTDIR$(USRSBIN_DIR)

	@if [ -e $$DESTDIR$(BOOT_DIR)/boot.b -o -e $$DESTDIR$(BOOT_DIR)/boot.old ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/boot.b; rm -f $$DESTDIR$(BOOT_DIR)/boot.old; fi
	@if [ -f $$DESTDIR$(BOOT_DIR)/boot-bmp.b -o -f $$DESTDIR$(BOOT_DIR)/boot-bmp.old ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/boot-bmp.b; rm -f $$DESTDIR$(BOOT_DIR)/boot-bmp.old; fi
	@if [ -f $$DESTDIR$(BOOT_DIR)/boot-menu.b -o -f $$DESTDIR$(BOOT_DIR)/boot-menu.old ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/boot-menu.b; rm -f $$DESTDIR$(BOOT_DIR)/boot-menu.old; fi
	@if [ -f $$DESTDIR$(BOOT_DIR)/boot-text.b -o -f $$DESTDIR$(BOOT_DIR)/boot-text.old ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/boot-text.b; rm -f $$DESTDIR$(BOOT_DIR)/boot-text.old; fi
	@if [ -f $$DESTDIR$(BOOT_DIR)/chain.b ]; then \
	  mv $$DESTDIR$(BOOT_DIR)/chain.b $$DESTDIR$(BOOT_DIR)/chain.old; fi
	@if [ -f $$DESTDIR$(BOOT_DIR)/mbr.b ]; then \
	  mv $$DESTDIR$(BOOT_DIR)/mbr.b $$DESTDIR$(BOOT_DIR)/mbr.old; fi

	if [ -f chain.b -a  $(BUILTIN) -eq 0 ]; then cp chain.b $$DESTDIR$(BOOT_DIR); fi
	if [ -f mbr.b   -a  $(BUILTIN) -eq 0 ]; then cp mbr.b   $$DESTDIR$(BOOT_DIR); fi
	if [ -f diag1.img ]; then cp -f diag1.img $$DESTDIR$(BOOT_DIR); fi
	if [ -f diag2.img ]; then cp -f diag2.img $$DESTDIR$(BOOT_DIR); fi

	strip lilo
	cp lilo $$DESTDIR$(SBIN_DIR)/lilo
	[ -x lilo.static ] && strip lilo.static
	cp ../mkrescue $$DESTDIR$(USRSBIN_DIR)/mkrescue
	cp ../keytab-lilo.pl $$DESTDIR$(USRSBIN_DIR)/keytab-lilo

dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	$(CPP) $(CFLAGS) -MM *.c >>tmp_make
	mv tmp_make Makefile

version:	common.c lilo.h common.h
	$(CC) $(CFLAGS) -DSHS_MAIN -o version common.c

mkloader:	temp.c
	$(CC) $(CFLAGS) -DLILO_BINARY -o mkloader temp.c


tidy:
	rm -f core $(LIS) *.shs *.crc $(TMP)*
	rm -rf sbin boot usr

clean:
	rm -f *.o *.s *.i *.img *.b tmp_make version
	rm -f lilo lilo.static edit mkloader

distclean:
	rm -f *~ */*~ *.b *.com lilo*tar.gz

uninstall:
	rm -f $$DESTDIR$(SBIN_DIR)/lilo
	rm -f $$DESTDIR$(USRSBIN_DIR)/mkrescue
	rm -f $$DESTDIR$(USRSBIN_DIR)/keytab-lilo
	rm -f $$DESTDIR$(BOOT_DIR)/diag1.img
	rm -f $$DESTDIR$(BOOT_DIR)/diag2.img

	if [ -f $$DESTDIR$(BOOT_DIR)/chain.b ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/chain.b; fi
	if [ -f $$DESTDIR$(BOOT_DIR)/mbr.b ]; then \
	  rm -f $$DESTDIR$(BOOT_DIR)/mbr.b; fi


### Dependencies
boot.o: boot.c config.h lilo.h version.h common.h geometry.h device.h \
  cfg.h map.h partition.h boot.h loader.h
bsect.o: bsect.c config.h lilo.h version.h common.h raid.h cfg.h device.h \
  geometry.h map.h temp.h partition.h boot.h bsect.h bitmap.h probe.h \
  loader.h edit.h shs2.h
cfg.o: cfg.c lilo.h version.h common.h temp.h cfg.h
common.o: common.c lilo.h version.h common.h
device.o: device.c config.h lilo.h version.h common.h temp.h device.h \
  geometry.h partition.h cfg.h probe.h md-int.h
edit.o: edit.c config.h lilo.h version.h common.h cfg.h temp.h bsect.h \
  bitmap.h edit.h
geometry.o: geometry.c config.h lilo.h version.h common.h device.h raid.h \
  geometry.h cfg.h md-int.h probe.h
identify.o: identify.c lilo.h version.h common.h cfg.h
lilo.o: lilo.c config.h lilo.h version.h common.h cfg.h raid.h boot.h \
  device.h flags.i geometry.h map.h bsect.h identify.h partition.h \
  probe.h temp.h loader.h md-int.h edit.h bitmap.h
map.o: map.c lilo.h version.h common.h geometry.h map.h
partition.o: partition.c config.h lilo.h version.h common.h cfg.h \
  device.h geometry.h partition.h boot.h loader.h
probe.o: probe.c lilo.h version.h common.h device.h geometry.h \
  partition.h bsect.h bdata.h probe.h
raid.o: raid.c config.h lilo.h version.h common.h raid.h boot.h device.h \
  geometry.h bsect.h cfg.h partition.h md-int.h
shs2.o: shs2.c lilo.h version.h shs2.h
temp.o: temp.c lilo.h version.h common.h temp.h loader.i

=== debian/changelog ===
lilo (1:24.0-2) unstable; urgency=medium

  * Fix: compiler option 'freestanding' must be used with cpp
      (in patch 11_add-compile-flags.patch). Closes: #713504

 -- Joachim Wiedorn <ad_debian@joonet.de>  Tue, 02 Jul 2013 21:13:11 +0200

lilo (1:24.0-1) unstable; urgency=low

  * New upstream release:
    - Fixes of manpages, added manpages.
    - Old documentation now in html format.
    - Better support for GPT hard disks.
    - Support for kernel 3.x series.
    - Now compatible to gcc 4.8 (and higher). Closes: #701315, #709818
  * Update some patches, remove some patches.
  * Use upstream html doc for lilo-doc package.
  * Update debian/copyright file.
  * debian/control:
    - Bump to Standards Version 3.9.4 (no changes).
    - Remove suggestion to package lilo-doc.
    - Move to debhelper >=9.
  * Fix: add full support for CFLAGS and LDFLAGS
      to support hardening flags.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 08 Jun 2013 14:27:16 +0200

lilo (1:23.2-4) unstable; urgency=medium

  * Enable use of linux 3.x in liloconfig script.
  * Disable creating pdf documentation.  (Closes: #666320)
  * Remove build dependency to texlive-latex-base.
  * Use (patched) upstream scripts directly.
  * Add html documentation as replacement for pdf files.
  * Update Brazilian Portuguese debconf translations. (Closes: #663495)

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 15 Apr 2012 12:16:49 +0200

=== debian/control ===
Source: lilo
Section: admin
Priority: optional
Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
Build-Depends: debhelper (>= 9),
 transfig, bin86 (>= 0.16), sharutils,
 po-debconf (>= 0.5.0), libdevmapper-dev
Standards-Version: 3.9.4
Homepage: http://lilo.alioth.debian.org/
Vcs-Git: git://anonscm.debian.org/lilo/debian.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git

Package: lilo
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: LInux LOader - the classic OS boot loader
 You can use LILO to manage your Master Boot Record (with a simple text
 screen, text menu or colorful splash graphics) or call LILO from other 
 Boot-Loaders to jump-start the Linux kernel.
 .
 This package contains lilo (the installer) and boot-record-images to
 install Linux, DOS and generic Boot Sectors for other operation systems.
 .

Package: lilo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LInux LOader - Documentation for the classic OS boot loader
 You can use LILO to manage your Master Boot Record (with a simple text 
 screen, text menu or colorful splash graphics) or call LILO from other 
 Boot-Loaders to jump-start the Linux kernel.
 .
 This package contains the old HTML and README documentations of lilo
 version 21.5 (of year 2000).

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,14 @@
 %:
 	dh $@
 
+
+override_dh_auto_build:
+	dh_auto_build
+	@echo "Extract html documentation (tech.html, user.html)"
+	uudecode -o /dev/stdout debian/doc/tech.html.uu 2>/dev/null | tar -x -z -C debian
+	uudecode -o /dev/stdout debian/doc/user.html.uu 2>/dev/null | tar -x -z -C debian
+
+override_dh_auto_clean:
+	rm -rf debian/html
+	dh_auto_clean
+

=== debian/watch ===
# watch control file for uscan for the lilo package
version=3
http://alioth.debian.org/frs/?group_id=100507  .*/lilo-(\d.+).tar.gz

## lilo 24.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,18 @@
 # -*- makefile -*-
 #
-# Copyright 2009-2013 Joachim Wiedorn
+# Copyright 2009-2014 Joachim Wiedorn
 # All rights reserved.
 # 
 # Licensed under the terms contained in the file 'COPYING'
 # in the source directory.
 #
+
+#
+# everything needed to run, just short of installation
+#
+all: test
+	make -C src all
+	make -C images all
 
 #
 #  make help
@@ -32,13 +39,6 @@
 	@echo "  make clean       # remove objects & ready for a fresh 'make all'"
 	@echo "  make distclean   # remove editor temps, & all of the above"
 	@echo ""
-
-#
-# everything needed to run, just short of installation
-#
-all: test
-	$(MAKE) -C src all
-	$(MAKE) -C images all
 
 #
 # everything above plus the statically linked version

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- makefile -*-
 #
-# Copyright 2009-2013 Joachim Wiedorn
+# Copyright 2009-2014 Joachim Wiedorn
 # All rights reserved.
 # 
 # Licensed under the terms contained in the file 'COPYING'
@@ -23,7 +23,6 @@
 G=`cat foo1 foo2 | grep version | cut -d " " -f 3`
 
 CFLAGS=$(OPT) -Wall $(PCONFIG)
-LDFLAGS=#-Xlinker -qmagic
 LIBS=$(DEVMAPPER)
 
 OBJS=lilo.o raid.o map.o geometry.o boot.o device.o common.o bsect.o cfg.o \
@@ -79,7 +78,7 @@
 	echo $(MAN_DIR)
 
 .c.o:
-		$(CC) -c $(CFLAGS) $*.c
+		$(CC) -c $(CPPFLAGS) $(CFLAGS) $*.c
 
 .s.o:
 		$(AS86) -w -l $*.lis -o $*.o $*.s
@@ -91,7 +90,7 @@
 		dd if=$*.img of=$*.b bs=32 skip=1
 
 edit:		$(EDIT)
-		$(CC) $(CFLAGS) -DSTANDALONE -o edit $(EDIT) $(LDFLAGS)
+		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSTANDALONE -o edit $(EDIT)
 
 loader.i:	mkloader first.b second.b third.b bitmap.b mbr.b chain.b mbr2.b
 		./mkloader >loader.i
@@ -100,30 +99,30 @@
 		cp disk.b disk.com
 
 disk.s:		disk.S read.S bdata.h biosdata.S lilo.h Makefile
-		$(CPP) -traditional $(PCONFIG) -o disk.s  disk.S
+		$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) -o disk.s  disk.S
 
 mbr.s:		mbr.S lilo.h Makefile
-		$(CPP) -traditional $(PCONFIG) -DMBR=0xafbbe760 \
+		$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) -DMBR=0xafbbe760 \
 			-o mbr.s  mbr.S
 
 mbr.b:		mbr.img
 		dd if=$*.img of=$*.b bs=32 skip=49
 
 mbr2.s:		mbr.S lilo.h Makefile
-		$(CPP) -traditional $(PCONFIG) -DMBX=0x93c00848 \
+		$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) -DMBX=0x93c00848 \
 			-o mbr2.s  mbr.S
 
 mbr2.b: mbr2.img
 	dd if=$*.img of=$*.b bs=32 skip=49
 
 bootsect.s: bootsect.S disk.b
-	$(CPP) -traditional $(PCONFIG) \
+	$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) \
 		-DSIZEDISKB=`wc -c <disk.b | sed "s/ //g"` \
 		-o bootsect.s  bootsect.S
 
 pseudo1.s: bootsect.S pseudo.S disk.com
 	cat bootsect.S pseudo.S >$(TMP).S
-	$(CPP) -traditional $(PCONFIG) \
+	$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) \
 		-DSIZEKRNL=`wc -c <disk.com | sed "s/ //g"` \
 		-DSIZEDISKB=512 -o pseudo1.s $(TMP).S
 	rm -f $(TMP).S
@@ -131,7 +130,7 @@
 pseudo2.s: bootsect.S pseudo.S
 	$(MAKE) -C ../diagnose all
 	cat bootsect.S pseudo.S >$(TMP).S
-	$(CPP) -traditional $(PCONFIG) \
+	$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) \
 		-DSIZEKRNL=`wc -c <../diagnose/test4.com | sed "s/ //g"` \
 		-DSIZEDISKB=512 -o pseudo2.s $(TMP).S
 	rm -f $(TMP).S
@@ -139,7 +138,7 @@
 pseudo3.s: bootsect.S pseudo.S
 	$(MAKE) -C ../diagnose all
 	cat bootsect.S pseudo.S >$(TMP).S
-	$(CPP) -traditional $(PCONFIG) \
+	$(CPP) $(CPPFLAGS) -traditional $(PCONFIG) \
 		-DSIZEKRNL=`wc -c <../diagnose/test5.com | sed "s/ //g"` \
 		-DSIZEDISKB=512 -o pseudo3.s $(TMP).S
 	rm -f $(TMP).S
@@ -176,13 +175,13 @@
 		cp -p dparam.S dparam.s
 
 lilo:		$(OBJS)
-		$(CC) -o lilo $(LDFLAGS) $(OBJS) $(LIBS)
+		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o lilo $(OBJS) $(LIBS)
 
 lilo.static:	$(OBJS)
-		$(CC) -o lilo.static -static $(LDFLAGS) $(OBJS) $(LIBS)
+		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o lilo.static -static $(OBJS) $(LIBS)
 
 common.s:	common.h
-		$(CPP) -C -traditional -DLILO_ASM -o common.s common.h
+		$(CPP) $(CPPFLAGS) -C -traditional -DLILO_ASM -o common.s common.h
 
 bitmap.o: bitmap.s common.s
 third.o: third.s common.s
@@ -191,25 +190,25 @@
 chain.o: chain.s common.s
 
 first.s:	first.S lilo.h version.h Makefile
-		$(CPP) $(PCONFIG) -DFIRST=0x62177489 -o first.s first.S
+		$(CPP) $(CPPFLAGS) $(PCONFIG) -DFIRST=0x62177489 -o first.s first.S
 
 second.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
 			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
-		$(CPP) $(PCONFIG) -DTEXT=0x9dd476ec second.S -o second.s
+		$(CPP) $(CPPFLAGS) $(PCONFIG) -DTEXT=0x9dd476ec second.S -o second.s
 
 third.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
 			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
-		$(CPP) $(PCONFIG) -DMENU=0x2012a4a7 second.S -o third.s
+		$(CPP) $(CPPFLAGS) $(PCONFIG) -DMENU=0x2012a4a7 second.S -o third.s
 
 bitmap.s:	second.S read.S volume.S mapper.S biosdata.S shs3.S bdata.h lilo.h version.h \
 			graph.S menu.S strlen.S bitmap.S crt.S display4.S Makefile
-		$(CPP) $(PCONFIG) -DBITMAP=0x2ece2fbe second.S -o bitmap.s
+		$(CPP) $(CPPFLAGS) $(PCONFIG) -DBITMAP=0x2ece2fbe second.S -o bitmap.s
 
 chain.s:	chain.S lilo.h version.h first.b Makefile
-		$(CPP) $(PCONFIG) -DCHAIN=0x536a7646 chain.S -o chain.s
+		$(CPP) $(CPPFLAGS) $(PCONFIG) -DCHAIN=0x536a7646 chain.S -o chain.s
 
 xxx.s:		chain.S lilo.h Makefile
-		$(CPP) chain.S -DXXX -o xxx.s
+		$(CPP) $(CPPFLAGS) chain.S -DXXX -o xxx.s
 
 $(OBJS):	Makefile
 
@@ -245,20 +244,23 @@
 
 	strip lilo
 	cp lilo $$DESTDIR$(SBIN_DIR)/lilo
-	[ -x lilo.static ] && strip lilo.static
+	if [ -f lilo.static ]; then \
+	  strip lilo.static; \
+	  cp lilo.static $$DESTDIR$(SBIN_DIR)/lilo.static; \
+	fi
 	cp ../mkrescue $$DESTDIR$(USRSBIN_DIR)/mkrescue
 	cp ../keytab-lilo.pl $$DESTDIR$(USRSBIN_DIR)/keytab-lilo
 
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
-	$(CPP) $(CFLAGS) -MM *.c >>tmp_make
+	$(CPP) $(CFLAGS) $(CPPFLAGS) -MM *.c >>tmp_make
 	mv tmp_make Makefile
 
 version:	common.c lilo.h common.h
-	$(CC) $(CFLAGS) -DSHS_MAIN -o version common.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSHS_MAIN -o version common.c
 
 mkloader:	temp.c
-	$(CC) $(CFLAGS) -DLILO_BINARY -o mkloader temp.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DLILO_BINARY -o mkloader temp.c
 
 
 tidy:

=== debian/changelog ===
lilo (1:24.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix liloconfig: not included initrd.img in lilo.conf, kernel
        installation/upgrading failed. Closes: #640792, #663586
        LP: #703371, #774733, #844859, #973903, #982791, #990306
        LP: #1002823, #1003865, #1004308, #1004919, #1017787, #1028113
        LP: #1029600, #1031770, #1042482, #1043352, #1057720, #1060584
        LP: #1070267, #1109340, #1132208, #1156494, #1173175, #1202943
        LP: #1210905, #1214153, #1218082, #1222073, #1264013, #1282115
        LP: #1304205, #1307211, #1318800, #1363551, #1374399
    - Fix liloconfig: no defined images in lilo.conf, initramfs hook
        failed. LP: #1014383
    - Fix hook scripts: kernel hook failed if RAID is degraded.
        Closes: #459713, #728622
    - More documentation about -R option. Closes: #720129
    - Optional: Set no-defragment bit on XFS filesystems.
    - Update some patches, remove all other patches.

  * Use better link to upstream packages in debian/watch.
  * Bump Standards Version to 3.9.6 (no changes).
  * Add hook scripts for saving kernel in /boot on XFS filesystems.
      These scripts can be found in dir. /usr/lib/lilo/ for optional
      installation. See: #566035
  * Remove obsolete symlinks sarge.bmp and sid.bmp to /boot/debian.bmp.
      Now using /boot/debian.bmp directly in /etc/lilo.conf.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Fri, 17 Oct 2014 21:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
  transfig, bin86 (>= 0.16), sharutils,
  po-debconf (>= 0.5.0), libdevmapper-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://lilo.alioth.debian.org/
 Vcs-Git: git://anonscm.debian.org/lilo/debian.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git

=== debian/watch ===
# watch control file for uscan for the lilo package
version=3
#http://alioth.debian.org/frs/?group_id=100507  .*/lilo-(\d\d.+).tar.gz
http://lilo.alioth.debian.org/ftp/sources/lilo-(\d\d.+).tar.gz

## lilo 24.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- makefile -*-
 #
-# Copyright 2009-2014 Joachim Wiedorn
+# Copyright 2009-2015 Joachim Wiedorn
 # All rights reserved.
 # 
 # Licensed under the terms contained in the file 'COPYING'

=== hooks/Makefile ===
# -*- makefile -*-
#
# Copyright 2011-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#

# adding variables
include ../make.vars

# install also chattr-lilo hooks
CHATTR := n

POSTUPD  := initramfs/post-update.d
POSTINST := kernel/postinst.d
POSTRM   := kernel/postrm.d
PREINST  := kernel/preinst.d
PRERM    := kernel/prerm.d

all:

install:
	mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTUPD)
	mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTINST)
	mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTRM)
	install -m 0755  $(POSTUPD)/runlilo  $$DESTDIR$(CFG_DIR)/$(POSTUPD)
	install -m 0755  $(POSTINST)/zz-runlilo  $$DESTDIR$(CFG_DIR)/$(POSTINST)
	install -m 0755  $(POSTRM)/zz-runlilo  $$DESTDIR$(CFG_DIR)/$(POSTRM)
  ifeq "$(CHATTR)" "y"
	mkdir -p $$DESTDIR$(CFG_DIR)/$(PREINST)
	mkdir -p $$DESTDIR$(CFG_DIR)/$(PRERM)
	install -m 0755 $(POSTINST)/chattr-lilo  $$DESTDIR$(CFG_DIR)/$(POSTINST)
	install -m 0755 $(PREINST)/chattr-lilo  $$DESTDIR$(CFG_DIR)/$(PREINST)
	install -m 0755 $(PRERM)/chattr-lilo  $$DESTDIR$(CFG_DIR)/$(PRERM)
  endif

clean:

distclean:

uninstall:
	rm -f $$DESTDIR$(CFG_DIR)/$(POSTUPD)/runlilo
	rm -f $$DESTDIR$(CFG_DIR)/$(POSTINST)/zz-runlilo
	rm -f $$DESTDIR$(CFG_DIR)/$(POSTRM)/zz-runlilo
  ifeq "$(CHATTR)" "y"
	rm -f $$DESTDIR$(CFG_DIR)/$(POSTINST)/chattr-lilo
	rm -f $$DESTDIR$(CFG_DIR)/$(PREINST)/chattr-lilo
	rm -f $$DESTDIR$(CFG_DIR)/$(PRERM)/chattr-lilo
  endif

=== sample/Makefile ===
# -*- makefile -*-
#
# Copyright 2009-2014 Joachim Wiedorn
# All rights reserved.
# 
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#

# adding variables
include ../make.vars

all:

install:
	mkdir -p $$DESTDIR$(CFG_DIR)
	install -m 0644 lilo.example.conf $$DESTDIR$(CFG_DIR)/lilo.conf_example

clean:

distclean:

uninstall:
	rm -f $$DESTDIR$(CFG_DIR)/lilo.conf_example

=== scripts/Makefile ===
--- 
+++ 
@@ -1,4 +1,11 @@
 # -*- makefile -*-
+#
+# Copyright 2009-2014 Joachim Wiedorn
+# All rights reserved.
+# 
+# Licensed under the terms contained in the file 'COPYING'
+# in the source directory.
+#
 
 # adding variables
 include ../make.vars

=== debian/changelog ===
lilo (1:24.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957490)

 -- Ryan Finnie <ryan@finnie.org>  Wed, 28 Oct 2020 11:18:45 -0700

lilo (1:24.2-5) unstable; urgency=medium

  * Add file debian/NEWS to point out that lilo package is deprecated
    and its install package will vanish as by the end of year 2020.
    Move to e.g. grub2 is recommended.
  * debian/control:
    - Bump Standards Version to 4.4.1 (no changes).
  * debian/patches:
    - 10: add new patch, fix manpage lilo.conf.5. Closes: #919741

 -- Joachim Wiedorn <joodebian@joonet.de>  Tue, 10 Dec 2019 23:41:00 +0100

lilo (1:24.2-4) unstable; urgency=medium

  * Update weblinks of the package.
  * Update maintainer email addresses.
  * debian/control:
    - Bump Standards Version to 4.2.1 (no changes).
  * debian/patches:
    - 02: Remove patches vor vendorspecific naming. Closes: #896081
    - 09: add new patch, fix manpage lilo.conf.5. Closes: #902711
  * lilo.postinst:
    - Fix command redirection in the script. Closes: #908242

 -- Joachim Wiedorn <joodebian@joonet.de>  Sun, 09 Sep 2018 16:07:53 +0200

lilo (1:24.2-3) unstable; urgency=medium

  * Add e2fsprogs as suggested package. Closes: #887183
  * debian/control:
    - Bump Standards Version to 4.1.3.
    - Move to debhelper 10 and compat level 10.
  * Add signing-key.asc into debian/upstream.
  * Update debian/watch file (without alioth).
  * Update Vcs and homepage (without alioth).

 -- Joachim Wiedorn <joodebian@joonet.de>  Sun, 28 Jan 2018 00:30:54 +0100

lilo (1:24.2-2) unstable; urgency=medium

  * debian/rules:
    - Fix error when built with dpkg-buildpackage -A 
      (creating only arch-independent packages). Closes: #806656
  * debian/control:
    - Bump Standards Version to 3.9.8 (no changes).
  * New patches:
    - Fix warning found in buildd logs: dpkg-buildflags-missing CFLAGS
    - Fix some typos in manpages: lilo.conf.5, mkrescue.8

 -- Joachim Wiedorn <joodebian@joonet.de>  Fri, 15 Jul 2016 22:14:28 +0200

lilo (1:24.2-1) unstable; urgency=medium

  * New upstream release:
    - Make build of lilo reproducible. Closes: #798366
    - Add architecture x32. Closes: #777086
  * Update distribution specific patches.
  * Update maintainer and upstream mail address.

 -- Joachim Wiedorn <joodebian@joonet.de>  Mon, 23 Nov 2015 20:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: lilo
 Section: admin
 Priority: optional
-Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
-Build-Depends: debhelper (>= 9),
- transfig, bin86 (>= 0.16), sharutils,
- po-debconf (>= 0.5.0), libdevmapper-dev
-Standards-Version: 3.9.6
-Homepage: http://lilo.alioth.debian.org/
-Vcs-Git: git://anonscm.debian.org/lilo/debian.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git
+Maintainer: Joachim Wiedorn <joodebian@joonet.de>
+Build-Depends: debhelper (>= 10),
+ transfig, sharutils,
+ bin86 (>= 0.16),
+ po-debconf (>= 0.5.0),
+ libdevmapper-dev
+Standards-Version: 4.4.1
+Homepage: http://lilo.joonet.de/
+Vcs-Git: https://salsa.debian.org/joowie-guest/maintain_lilo.git
+Vcs-Browser: https://salsa.debian.org/joowie-guest/maintain_lilo.git
 
 Package: lilo
-Architecture: amd64 i386
+Architecture: amd64 i386 x32
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Suggests: e2fsprogs
 Description: LInux LOader - the classic OS boot loader
  You can use LILO to manage your Master Boot Record (with a simple text
  screen, text menu or colorful splash graphics) or call LILO from other

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	@echo "Extract html documentation (tech.html, user.html)"
	uudecode -o /dev/stdout debian/doc/tech.html.uu  2> /dev/null | tar -x -z -C debian
	uudecode -o /dev/stdout debian/doc/user.html.uu  2> /dev/null | tar -x -z -C debian

override_dh_fixperms-arch:
	dh_fixperms
	@echo "Set execute flag to chattr-lilo hook scripts"
	chmod 0755 debian/lilo/usr/lib/lilo/hooks/kernel/*/chattr-lilo

override_dh_auto_clean:
	rm -rf debian/html
	dh_auto_clean

=== debian/watch ===
# watch control file for uscan for the lilo package
version=4
opts=pgpsigurlmangle=s/$/.asc/  \
  https://www.joonet.de/sources/lilo/lilo-(\d\d.+)\.tar\.gz
